=== debian/changelog ===
spire (1.12.3-0kali1) kali-dev; urgency=medium

  * New upstream version 1.12.3

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 20 Jun 2025 11:14:58 +0200

spire (1.12.2-0kali1) kali-dev; urgency=medium

  * New upstream version 1.12.2

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 20 May 2025 12:04:10 +0200

spire (1.12.1-0kali1) kali-dev; urgency=medium

  * New upstream version 1.12.1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 09 May 2025 15:04:30 +0200

spire (1.12.0-0kali1) kali-dev; urgency=medium

  * New upstream version 1.12.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 24 Mar 2025 17:44:26 +0100

spire (1.11.2-0kali1) kali-dev; urgency=medium

  * New upstream version 1.11.2

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 24 Feb 2025 18:21:34 +0100

spire (1.11.0-0kali1) kali-dev; urgency=medium

  * New upstream version 1.11.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 29 Oct 2024 16:23:21 +0100

spire (1.10.4-0kali1) kali-dev; urgency=medium

  * New upstream version 1.10.4

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 17 Sep 2024 11:54:37 +0200

spire (1.10.3-0kali1) kali-dev; urgency=medium

  * New upstream version 1.10.3

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 05 Sep 2024 16:37:41 +0200

spire (1.10.1-0kali1) kali-dev; urgency=medium

  * New upstream version 1.10.1

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 21 Aug 2024 10:55:15 +0200

spire (1.9.6-0kali1) kali-dev; urgency=medium

  * New upstream version 1.9.6

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 15 May 2024 17:17:56 +0200

spire (1.9.4-0kali1) kali-dev; urgency=medium

  * New upstream version 1.9.4

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 30 Apr 2024 11:49:17 +0200

spire (1.9.1-0kali1) kali-dev; urgency=medium

  * New upstream version 1.9.1
  * Remove debian/vendor

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 15 Mar 2024 12:02:21 +0100

spire (1.8.6-0kali1) kali-dev; urgency=medium

  * Disable builds on 32 bits
  * New upstream version 1.8.6
  * Refresh patches
  * Update debian/vendor

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 28 Dec 2023 14:22:18 +0100

spire (1.7.2-0kali2) kali-dev; urgency=medium

  * Add missing files sigstore/cosign/v2/internal/pkg/oci* sigstore/cosign/v2/pkg/oci*

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 20 Sep 2023 11:23:27 +0200

spire (1.7.2-0kali1) kali-dev; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 14 Sep 2023 13:33:03 +0200
