## spire 1.12.4

=== debian/changelog ===
spire (1.12.4-0kali1) kali-dev; urgency=medium

  * New upstream version 1.12.4

 -- Sophie Brun <sophie@kali.org>  Wed, 02 Jul 2025 11:32:18 +0200
