=== debian/control ===
Source: spire
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               ca-certificates,
               dh-golang,
               golang-any
Standards-Version: 4.6.2
Homepage: https://github.com/spiffe/spire
Vcs-Browser: https://gitlab.com/kalilinux/packages/spire
Vcs-Git: https://gitlab.com/kalilinux/packages/spire.git
XS-Go-Import-Path: github.com/spiffe/spire

Package: spire
Architecture: amd64 arm64
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: toolchain of APIs for establishing trust between software systems
 This package contains SPIRE (the SPIFFE Runtime Environment). It is a
 toolchain of APIs for establishing trust between software systems across a
 wide variety of hosting platforms. SPIRE exposes the SPIFFE Workload API,
 which can attest running software systems and issue SPIFFE IDs and SVIDs to
 them. This in turn allows two workloads to establish trust between each other,
 for example by establishing an mTLS connection or by signing and verifying a
 JWT token. SPIRE can also enable workloads to securely authenticate to a
 secret store, a database, or a cloud provider service.
