## spire 1.13.0

=== debian/changelog ===
spire (1.13.0-0kali1) kali-dev; urgency=medium

  * Update my email
  * New upstream version 1.13.0
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Mon, 18 Aug 2025 15:16:51 +0200
