=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>
+Uploaders: Sophie Brun <sophie@kali.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                ca-certificates,
