=== debian/tests/control ===
Test-Command: spire-agent --help && spire-server --help
Restrictions: superficial, allow-stderr
