## spire 1.13.2

=== debian/changelog ===
spire (1.13.2-0kali1) kali-dev; urgency=medium

  * New upstream version 1.13.2

 -- Sophie Brun <sophie@kali.org>  Thu, 09 Oct 2025 15:27:07 +0200

spire (1.13.1-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control
  * Drop armel-related variable from CI (no more armel runner)

  [ Sophie Brun ]
  * New upstream version 1.13.1

 -- Sophie Brun <sophie@kali.org>  Thu, 25 Sep 2025 11:32:13 +0200
