=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
 Uploaders: Sophie Brun <sophie@kali.org>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                ca-certificates,
                dh-golang,
