=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export GOCACHE = $(CURDIR)/_build
export GOPATH = $(CURDIR)/_build

%:
	dh $@ --with=golang --buildsystem=golang --builddirectory=_build 

override_dh_auto_build:
	cd _build && go env
	cd _build/src/github.com/spiffe/spire/cmd/spire-agent && go build -o spire-agent .
	cd _build/src/github.com/spiffe/spire/cmd/spire-server && go build -o spire-server .

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_test:

override_dh_golang:
