## spire 1.13.3

=== Makefile ===
--- 
+++ 
@@ -139,7 +139,7 @@
 
 go_path := PATH="$(go_bin_dir):$(PATH)"
 
-golangci_lint_version := $(shell grep "github.com/golangci/golangci-lint v" go.mod | awk '{print $$2}')
+golangci_lint_version := $(shell awk '/golangci-lint/{print $$2}' .spire-tool-versions)
 golangci_lint_dir = $(build_dir)/golangci_lint/$(golangci_lint_version)
 golangci_lint_cache = $(golangci_lint_dir)/cache
