=== debian/changelog ===
spire (1.13.3-0kali1) kali-dev; urgency=medium

  * New upstream version 1.13.3

 -- Sophie Brun <sophie@kali.org>  Wed, 29 Oct 2025 18:06:45 +0100
