## spire 1.14.0

=== debian/changelog ===
spire (1.14.0-0kali1) kali-dev; urgency=medium

  * New upstream version 1.14.0

 -- Sophie Brun <sophie@kali.org>  Wed, 17 Dec 2025 14:49:49 +0100
