## spire 1.14.1

=== debian/changelog ===
spire (1.14.1-0kali1) kali-dev; urgency=medium

  * New upstream version 1.14.1
  * Bump Standards-Version to 4.7.3
  * update debian/watch to version 5

 -- Sophie Brun <sophie@kali.org>  Tue, 20 Jan 2026 15:50:17 +0100
