=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                ca-certificates,
                dh-golang,
                golang-any
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/spiffe/spire
 Vcs-Browser: https://gitlab.com/kalilinux/packages/spire
 Vcs-Git: https://gitlab.com/kalilinux/packages/spire.git
